Package ru.bitel.bgbilling.modules.inet.server.event

# Class InetReloadLocalEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.inet.server.event.InetReloadLocalEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class InetReloadLocalEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Основное перечитывание конфигурации происходит асинхронно от обработки события `InetReloadEvent` (чтобы не блокировать обработку событий).
Слушатели вешаются на данное событие, а не на `InetReloadEvent`.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `InetReloadLocalEvent()` |
  `` | `InetReloadLocalEvent​(int moduleId, int userId, java.util.Set<java.lang.Integer> oldChildrenDeviceIds)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Set<java.lang.Integer>` | `getOldChildrenDeviceIds()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetReloadLocalEvent

    protected InetReloadLocalEvent()

  - ### InetReloadLocalEvent

    public InetReloadLocalEvent​(int moduleId, int userId, java.util.Set<java.lang.Integer> oldChildrenDeviceIds)

- ## Method Details

  - ### getOldChildrenDeviceIds

    public java.util.Set<java.lang.Integer> getOldChildrenDeviceIds()